#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
     int p,q,r;
     long long br=0,x,y,n;
    scanf("%d%d%d%lld%lld",&p,&q,&r,&x,&y);
    for(n=x;n<=y;n++)
    {
        if(n>=(n-1)/p+(n-1)/q+(n-1)/r+3)
            br++;
    }
    printf("%lld",br);
}